openssl_missing.c File Reference
`#include <openssl/x509_vfy.h>`
`#include <string.h>`
`#include <openssl/hmac.h>`
`#include "openssl_missing.h"`

Go to the source code of this file.

## Macros

#define | OPENSSL_CONF "openssl.cnf"
#define | OSSL_PASS_MIN_LENGTH 4

## Functions

void | HMAC_CTX_copy (HMAC_CTX *out, HMAC_CTX *in)
int | X509_STORE_set_ex_data (X509_STORE *str, int idx, void *data)
void * | X509_STORE_get_ex_data (X509_STORE *str, int idx)
EVP_MD_CTX * | EVP_MD_CTX_create (void)
int | EVP_MD_CTX_cleanup (EVP_MD_CTX *ctx)
void | EVP_MD_CTX_destroy (EVP_MD_CTX *ctx)
void | EVP_MD_CTX_init (EVP_MD_CTX *ctx)
void | HMAC_CTX_init (HMAC_CTX *ctx)
void | HMAC_CTX_cleanup (HMAC_CTX *ctx)
int | EVP_CIPHER_CTX_copy (EVP_CIPHER_CTX *out, EVP_CIPHER_CTX *in)
int | X509_CRL_set_version (X509_CRL *x, long version)
int | X509_CRL_set_issuer_name (X509_CRL *x, X509_NAME *name)
int | X509_CRL_sort (X509_CRL *c)
static int | OSSL_X509_REVOKED_cmp (const X509_REVOKED *const *a, const X509_REVOKED *const *b)
int | X509_CRL_add0_revoked (X509_CRL *crl, X509_REVOKED *rev)
int | BN_mod_sqr (BIGNUM *r, const BIGNUM *a, const BIGNUM *m, BN_CTX *ctx)
int | BN_nnmod (BIGNUM *r, const BIGNUM *m, const BIGNUM *d, BN_CTX *ctx)
int | BN_mod_add (BIGNUM *r, const BIGNUM *a, const BIGNUM *b, const BIGNUM *m, BN_CTX *ctx)
int | BN_mod_sub (BIGNUM *r, const BIGNUM *a, const BIGNUM *b, const BIGNUM *m, BN_CTX *ctx)
static int | bn_rand_range (int pseudo, BIGNUM *r, BIGNUM *range)
int | BN_rand_range (BIGNUM *r, BIGNUM *range)
int | BN_pseudo_rand_range (BIGNUM *r, BIGNUM *range)
char * | CONF_get1_default_config_file (void)
int | PEM_def_callback (char *buf, int num, int w, void *key)
int | ASN1_put_eoc (unsigned char **pp)

## Macro Definition Documentation

#define OPENSSL_CONF "openssl.cnf"

Definition at line 284 of file openssl_missing.c.

Referenced by CONF_get1_default_config_file().

#define OSSL_PASS_MIN_LENGTH 4

Definition at line 311 of file openssl_missing.c.

Referenced by PEM_def_callback().

## Function Documentation

int ASN1_put_eoc | ( | unsigned char ** | pp | ) |

Definition at line 347 of file openssl_missing.c.

References p.

Referenced by ossl_asn1cons_to_der().

int BN_mod_add | ( | BIGNUM * | r,
|  | const BIGNUM * | a,
|  | const BIGNUM * | b,
|  | const BIGNUM * | m,
|  | BN_CTX * | ctx
| ) |  |

Definition at line 219 of file openssl_missing.c.

References BN_nnmod().

int BN_mod_sqr | ( | BIGNUM * | r,
|  | const BIGNUM * | a,
|  | const BIGNUM * | m,
|  | BN_CTX * | ctx
| ) |  |

Definition at line 201 of file openssl_missing.c.

int BN_mod_sub | ( | BIGNUM * | r,
|  | const BIGNUM * | a,
|  | const BIGNUM * | b,
|  | const BIGNUM * | m,
|  | BN_CTX * | ctx
| ) |  |

Definition at line 228 of file openssl_missing.c.

References BN_nnmod().

int BN_nnmod | ( | BIGNUM * | r,
|  | const BIGNUM * | m,
|  | const BIGNUM * | d,
|  | BN_CTX * | ctx
| ) |  |

Definition at line 209 of file openssl_missing.c.

Referenced by BN_mod_add(), and BN_mod_sub().

int BN_pseudo_rand_range | ( | BIGNUM * | r,
|  | BIGNUM * | range
| ) |  |

Definition at line 277 of file openssl_missing.c.

References bn_rand_range().

static int bn_rand_range | ( | int | pseudo,
|  | BIGNUM * | r,
|  | BIGNUM * | range
| ) |  |

static

Definition at line 237 of file openssl_missing.c.

Referenced by BN_pseudo_rand_range(), and BN_rand_range().

int BN_rand_range | ( | BIGNUM * | r,
|  | BIGNUM * | range
| ) |  |

Definition at line 269 of file openssl_missing.c.

References bn_rand_range().

char* CONF_get1_default_config_file | ( | void |  | ) |

Definition at line 286 of file openssl_missing.c.

References getenv(), len, NULL, OPENSSL_CONF, and strlen().

Referenced by Init_ossl_config().

int EVP_CIPHER_CTX_copy | ( | EVP_CIPHER_CTX * | out,
|  | EVP_CIPHER_CTX * | in
| ) |  |

Definition at line 121 of file openssl_missing.c.

Referenced by ossl_cipher_copy().

int EVP_MD_CTX_cleanup | ( | EVP_MD_CTX * | ctx | ) |

Definition at line 67 of file openssl_missing.c.

Referenced by EVP_MD_CTX_destroy(), and HMAC_CTX_cleanup().

EVP_MD_CTX* EVP_MD_CTX_create | ( | void |  | ) |

Definition at line 54 of file openssl_missing.c.

References NULL.

Referenced by ossl_digest_alloc().

void EVP_MD_CTX_destroy | ( | EVP_MD_CTX * | ctx | ) |

Definition at line 78 of file openssl_missing.c.

References EVP_MD_CTX_cleanup().

Referenced by ossl_digest_alloc().

void EVP_MD_CTX_init | ( | EVP_MD_CTX * | ctx | ) |

Definition at line 87 of file openssl_missing.c.

Referenced by HMAC_CTX_init().

void HMAC_CTX_cleanup | ( | HMAC_CTX * | ctx | ) |

Definition at line 105 of file openssl_missing.c.

References EVP_MD_CTX_cleanup().

Referenced by hmac_final(), and ossl_hmac_free().

void HMAC_CTX_copy | ( | HMAC_CTX * | out,
|  | HMAC_CTX * | in
| ) |  |

Definition at line 26 of file openssl_missing.c.

Referenced by hmac_final(), and ossl_hmac_copy().

void HMAC_CTX_init | ( | HMAC_CTX * | ctx | ) |

Definition at line 95 of file openssl_missing.c.

References EVP_MD_CTX_init().

Referenced by ossl_hmac_alloc().

static int OSSL_X509_REVOKED_cmp | ( | const X509_REVOKED *const * | a,
|  | const X509_REVOKED *const * | b
| ) |  |

static

Definition at line 178 of file openssl_missing.c.

Referenced by X509_CRL_add0_revoked().

int PEM_def_callback | ( | char * | buf,
|  | int | num,
|  | int | w,
|  | void * | key
| ) |  |

Definition at line 313 of file openssl_missing.c.

References i, NULL, OSSL_PASS_MIN_LENGTH, and strlen().

Referenced by ossl_pem_passwd_cb().

int X509_CRL_add0_revoked | ( | X509_CRL * | crl,
|  | X509_REVOKED * | rev
| ) |  |

Definition at line 186 of file openssl_missing.c.

References inf(), and OSSL_X509_REVOKED_cmp().

Referenced by ossl_x509crl_add_revoked(), and ossl_x509crl_set_revoked().

int X509_CRL_set_issuer_name | ( | X509_CRL * | x,
|  | X509_NAME * | name
| ) |  |

Definition at line 152 of file openssl_missing.c.

References NULL.

Referenced by ossl_x509crl_set_issuer().

int X509_CRL_set_version | ( | X509_CRL * | x,
|  | long | version
| ) |  |

Definition at line 139 of file openssl_missing.c.

References NULL.

Referenced by ossl_x509crl_set_version().

int X509_CRL_sort | ( | X509_CRL * | c | ) |

Definition at line 161 of file openssl_missing.c.

References i.

Referenced by ossl_x509crl_add_revoked(), and ossl_x509crl_set_revoked().

void* X509_STORE_get_ex_data | ( | X509_STORE * | str,
|  | int | idx
| ) |  |

Definition at line 46 of file openssl_missing.c.

Referenced by ossl_verify_cb().

int X509_STORE_set_ex_data | ( | X509_STORE * | str,
|  | int | idx,
|  | void * | data
| ) |  |

Definition at line 39 of file openssl_missing.c.

Referenced by ossl_x509store_set_vfy_cb().